# Chinchilla Minimap

## [85e8ee3](https://github.com/Ravendwyr/Chinchilla/tree/85e8ee3042836234d8fb4e716dfbd76880b9696b) (2022-08-31)
[Full Changelog](https://github.com/Ravendwyr/Chinchilla/commits/85e8ee3042836234d8fb4e716dfbd76880b9696b) [Previous Releases](https://github.com/Ravendwyr/Chinchilla/releases)

- Position: first pass at fixing errors on Wrath Classic.  
- Appearance: first pass at fixing errors on Wrath Classic.  
- Update README.md  
- Use the multi toc method for automated packaging.  
- Bump actions/checkout from 3.0.0 to 3.0.2  
    Bumps [actions/checkout](https://github.com/actions/checkout) from 3.0.0 to 3.0.2.  
    - [Release notes](https://github.com/actions/checkout/releases)  
    - [Changelog](https://github.com/actions/checkout/blob/main/CHANGELOG.md)  
    - [Commits](https://github.com/actions/checkout/compare/v3.0.0...v3.0.2)  
    ---  
    updated-dependencies:  
    - dependency-name: actions/checkout  
      dependency-type: direct:production  
      update-type: version-update:semver-patch  
    ...  
    Signed-off-by: dependabot[bot] <support@github.com>  
- Bump BigWigsMods/packager from 2.0.3 to 2.0.9  
    Bumps [BigWigsMods/packager](https://github.com/BigWigsMods/packager) from 2.0.3 to 2.0.9.  
    - [Release notes](https://github.com/BigWigsMods/packager/releases)  
    - [Commits](https://github.com/BigWigsMods/packager/compare/v2.0.3...v2.0.9)  
    ---  
    updated-dependencies:  
    - dependency-name: BigWigsMods/packager  
      dependency-type: direct:production  
      update-type: version-update:semver-patch  
    ...  
    Signed-off-by: dependabot[bot] <support@github.com>  
- Fixed Charmed blips for Patch 9.2.  
- Bump BigWigsMods/packager from 2.0.2 to 2.0.3  
    Bumps [BigWigsMods/packager](https://github.com/BigWigsMods/packager) from 2.0.2 to 2.0.3.  
    - [Release notes](https://github.com/BigWigsMods/packager/releases)  
    - [Commits](https://github.com/BigWigsMods/packager/compare/v2.0.2...v2.0.3)  
    ---  
    updated-dependencies:  
    - dependency-name: BigWigsMods/packager  
      dependency-type: direct:production  
      update-type: version-update:semver-patch  
    ...  
    Signed-off-by: dependabot[bot] <support@github.com>  
- Create dependabot.yml  
- Update upload.yml  
- Update FUNDING.yml  
- Bump Interface number to 90100.  
- TrackingDots: Updated blip atlas for Patch 9.1.0.  
    Fixes #82  
- Update libraries.  
- Update issue config.  
- Expander: Fixed an error on non-Retail servers.  
    Also trims trailing whitespace.  
- Expander: Fixed leaked global.  
- Ping: Fixed chat output.  
- Ping: Tweaked spam prevention code.  
    Closes #80  
- Add packager support for Wago Addons.  
- Begin adding support for Burning Crusade Classic.  
- Bump Interface number to 90005.  
- Updated blip maps for Patch 9.0.5.  
- Updated issue templates.  
- Removed unused library.  
- Use a different method to determine if we're indoors or not.  
    Progress towards #61. No side-effects detected yet, but at least we're no longer launching ourselves into an exponentially increasing infinite loop.  
- Location: Fixed a leaked global variable.  
- Hide Location and instance difficulty when expanded  
    https://github.com/Ravendwyr/Chinchilla/issues/60  
    Item #2.  
- Scale Instance Difficulty with Minimap  
- Don't include README or CHANGELOG in the package.  
- Set theme jekyll-theme-slate  
- Update README.md  
- Migrate from Travis CI to GitHub Actions.  
- Update README.md  
- Bump Classic Interface to 11306.  
- Update .travis.yml  
- Fix position module for vehicle seats  
- Move this to MoveButtons  
    And ... GARRISON\_SHOW\_LANDING\_PAGE looks to be the winner (or loser?).  
- Revert ""Fix" garrison location"  
- Revert "Fix buttons on area change"  
- Fix buttons on area change  
    Blizz is moving garrison back on some instance/area changes.... keep it where we want it.  
- "Fix" garrison location  
    https://github.com/Ravendwyr/Chinchilla/issues/53  
    This is a really ugly, really quick and dirty "fix" (ok workaround) for what Blizzard is doing.  Basically wait until Blizzard moves it and move it back.  
- Update Expander.lua  
    https://github.com/Ravendwyr/Chinchilla/issues/46  
    This was an ask, and I was already looking at Expander.  Basically Instead of disabling all mouse interaction with expanded minimap, just disable click events.  
    I have not noticed any side effects...  
- Update Expander  
    1. Fix Expander opacity.  For some reason setting minimap alpha is not adjusting opacity when expanded.   Set parent of Minimap opacity.  
    2. Provide option to Expander to hide when player is in combat (REGEN\_DISABLED)  
- Yay! Patch!  
    Updated sprite sheets to work with changes.  
- Recreate .gitignore  
- Remove hard-embeded SharedMediaWidgets.  
    The library has been fixed recently and this is no longer necessary.  
- last sprites  
- More sprite sheets  
- Update gitignore - include necessary updates to LibSharedMedia-3.0  
